## kmc 0.2-2

=== DESCRIPTION ===
Package: kmc
Version: 0.2-2
Title: Kaplan-Meier Estimator with Constraints for Right Censored Data
        -- a Recursive Computational Algorithm
Author: Yifan Yang [aut,cre], Mai Zhou [aut]
Maintainer: Yifan Yang <yifan.yang@uky.edu>
Description: Linearly constrained Kaplan-Meier estimator for right censored data. This version does empirical likelihood ratio test with right censored data with linear type constraint and hypothesis testing for coefficients in accelerated failure time model.
License: GPL (>= 2)
Depends: R (>= 2.13.1), compiler, rootSolve, emplik
URL: https://github.com/yfyang86/kmc
LinkingTo: Rcpp
NeedsCompilation: yes
BugReports: https://github.com/yfyang86/kmc
Packaged: 2015-11-22 18:51:28 UTC; inseven
Repository: CRAN
Date/Publication: 2015-11-23 12:20:35
