## kmc 2.0+dfsg

=== debian/changelog ===
kmc (2.0+dfsg-2) unstable; urgency=medium

  * Set BOOST_LIB path fit for any arch
    Closes: #793843
  * Drop -m64 option
    Closes: #793835

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jul 2015 08:05:11 +0200

kmc (2.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #770063)

 -- Jorge Soares <j.s.soares@gmail.com>  Mon, 03 Nov 2014 14:46:54 +0200
