=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1
DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9-]*://' -e 's/[~-].*//')
OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')


mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian

%:
	dh $@

override_dh_install:
	dh_install

override_dh_installman:
	mkdir -p $(mandir)
	$(debfolder)/usage_to_man
	dh_installman --

get-orig-source:
	uscan --verbose --force-download --repack --compression gz --destdir=..
	mv ../kmc_$(OVERSION).orig.tar.gz ../kmc_$(VERSION).orig.tar.gz
