=== debian/watch ===
version=3
opts=dversionmangle=s/.+\/v?(\d\S*)\.tar\.gz/kmc-$1.tar.gz/,dversionmangle=s/.dfsg// \ 
	https://github.com/js21/kmc/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
