## kmc 2.3%2Bdfsg

=== debian/changelog ===
kmc (2.3+dfsg-7build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:59 +0100

kmc (2.3+dfsg-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Sascha Steinbiss ]
  * Fix install paths.
    Closes: #914376
  * Update my email address in Uploaders.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 26 Nov 2018 21:22:30 +0100

kmc (2.3+dfsg-6) unstable; urgency=medium

  * Drop unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unnecessary Testsuite: autopkgtest
  * Do not parse d/changelog
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 21:35:03 +0200

kmc (2.3+dfsg-5) unstable; urgency=medium

  * Add missing include to header, fixes FTBFS.
    Closes: #822390

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 24 Apr 2016 12:08:34 +0000

kmc (2.3+dfsg-4) unstable; urgency=low

  * Move LDFLAGS to end of linker call.
    Thanks to Steve Langasek for the patch (from Ubuntu).
  * Enable full hardening.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 29 Mar 2016 20:28:59 +0000

kmc (2.3+dfsg-3) unstable; urgency=medium

  * Switch to asciidoctor for reproducible man page building.
  * Prevent strange FTBFS on some platforms caused by ronn.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 10 Mar 2016 22:02:44 +0000

kmc (2.3+dfsg-2) unstable; urgency=medium

  * Make man page building reproducible.
  * Clean up d/rules.
  * Use secure Git-Vcs.
  * Bump Standards-Version.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Mar 2016 13:13:34 +0000

kmc (2.3+dfsg-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Add libkmc-dev package

  [ Sascha Steinbiss ]
  * New upstream release
  * Incorporate new 'kmc_tools' executable and manpages
  * Add autopkgtest

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 19 Dec 2015 14:51:54 +0000

kmc (2.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * d/watch: Adjusted to use actual upstream's github repo
  * Rework patches to fit new upstream build system
  * Add citation

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 23 Aug 2015 15:32:16 +0000
