## kmc 2.3+dfsg

=== debian/control ===
Source: kmc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Jorge Soares <j.s.soares@gmail.com>,
           Sascha Steinbiss <sascha@steinbiss.name>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               zlib1g-dev,
               libbz2-dev,
               help2man,
               asciidoctor,
               d-shlibs
Standards-Version: 3.9.7
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kmc.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/kmc.git
Homepage: http://sun.aei.polsl.pl/kmc

Package: kmc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: count kmers in genomic sequences
 The kmc software is designed for counting k-mers (sequences of
 consecutive k symbols) in a set of reads. K-mer counting is
 important for many bioinformatics applications, e.g. developing de Bruijn
 graph assemblers.
 .
 Building de Bruijn graphs is a commonly used approach for genome
 assembly with data from second-generation sequencing.
 Unfortunately, sequencing errors (frequent in practice)
 result in huge memory requirements for de Bruijn graphs, as well
 as long build time. One of the popular approaches to handle this
 problem is filtering the input reads in such a way that unique k-mers
 (very likely obtained as a result of an error) are discarded.
 .
 Thus, KMC scans the raw reads and produces a compact representation
 of all non-unique reads accompanied with number of their occurrences.
 The algorithm implemented in KMC makes use mostly of disk space rather
 than RAM, which allows one to use KMC even on rather typical personal
 computers. When run on high-end servers (what is necessary for KMC
 competitors) it outperforms them in both memory requirements and
 speed of computation. The disk space necessary for computation is in
 order of the size of input data (usually it is smaller).

Package: libkmc-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library to access KMC k-mer count files
 The kmc software is designed for counting k-mers (sequences of
 consecutive k symbols) in a set of reads. K-mer counting is
 important for many bioinformatics applications, e.g. developing de Bruijn
 graph assemblers.
 .
 This package contains the C++ library headers for accessing kmc's output
 file format.
