=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DATE := $(shell dpkg-parsechangelog -S Date)

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian

%:
	dh $@ --parallel

override_dh_install:
	dh_install

override_dh_auto_clean:
	rm -rf $(debfolder)/man_src/*.html $(debfolder)/man_src/*.?
	rm -rf $(mandir)
	dh_auto_clean --

override_dh_installman:
	mkdir -p $(mandir)
	$(debfolder)/usage_to_man
	asciidoctor -a docdate='' -b manpage $(debfolder)/man_src/*.adoc
	cp $(debfolder)/man_src/*.? $(mandir)
	dh_installman --

get-orig-source:
	uscan --verbose --force-download --repack --compression gz --destdir=..
