=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/.dfsg//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/kmc_$1.tar.gz/" \
	https://github.com/marekkokot/KMC/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
