## kmc 3.1.1+dfsg

=== debian/changelog ===
kmc (3.1.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Adjust simde patch to fix i386 FTFBS.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Jan 2021 13:43:22 +0100

kmc (3.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * Remove non-portable -m64 flag put back by error.

  [ Michael R. Crusoe ]
  * Support non-x86 systems via libsimde-dev. Closes: #977498

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Jan 2021 11:53:55 +0100

kmc (3.1.1+dfsg-1) unstable; urgency=medium

  * Added myself to Uploaders.
  * New upstream version (Closes: #954270)
  * Remove changes related to asmlib, not used upstream anymore.
  * Refresh use-shared-libs patch.
  * Fold patches to makefile into makefile.patch.
  * Refresh 0005-Add-static-library-target-to-makefile.patch.
  * Wrote a new spelling patch as previous patch has been applied upstream.
  * Refresh patch newish_gcc_build_fix.patch
  * Removed patch cap-default-thread-count.patch
  * Activated highly threaded test in autopkgtest
  * Disable the newer python3 bindings for the moment.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 10 Dec 2020 21:59:30 +0100

kmc (2.3+dfsg-10) unstable; urgency=medium

  * Add cap-default-thread-count.patch. (Closes: #954270)
  * Fix d/watch to find newer upstream versions.
  * Update autopkgtest: test single-threaded and default option independently.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 08 Dec 2020 21:21:51 +0100

kmc (2.3+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Autopkgtest changes:
    - increase verbosity in hope to see more things in case #954270 reoccurs,
    - allow output to standard error.
  * Update d/watch to format version 4.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 06 Dec 2020 18:51:47 +0100

kmc (2.3+dfsg-8) unstable; urgency=medium

  * Add ref to conda (Thanks Steffen Moeller).
  * Fix EDAM syntax (Thanks Andreas Tille).
  * Bump Standards-Version.
  * Use debhelper-compat 12.
  * Add missing DEP-12 fields.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 Apr 2020 12:10:42 +0200
