=== debian/control ===
--- 
+++ 
@@ -2,25 +2,28 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Jorge Soares <j.s.soares@gmail.com>,
-           Sascha Steinbiss <sascha@steinbiss.name>,
-           Kevin Murray <spam@kdmurray.id.au>
+           Sascha Steinbiss <satta@debian.org>,
+           Kevin Murray <spam@kdmurray.id.au>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                zlib1g-dev,
                libbz2-dev,
                help2man,
                asciidoctor,
-               d-shlibs
-Standards-Version: 3.9.7
-Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kmc.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/kmc.git
+               d-shlibs,
+               libsimde-dev
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/kmc
+Vcs-Git: https://salsa.debian.org/med-team/kmc.git
 Homepage: http://sun.aei.polsl.pl/kmc
+Rules-Requires-Root: no
 
 Package: kmc
 Architecture: any
+Built-Using: ${simde:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: count kmers in genomic sequences
@@ -47,8 +50,9 @@
  order of the size of input data (usually it is smaller).
 
 Package: libkmc-dev
+Built-Using: ${simde:Built-Using}
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: library to access KMC k-mer count files
