=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,26 @@
 
 export DH_VERBOSE := 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DATE := $(shell dpkg-parsechangelog -S Date)
+
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+
+include /usr/share/dpkg/default.mk
+DATE := $(SOURCE_DATE_EPOCH)
 
 mandir := $(CURDIR)/debian/man
 debfolder := $(CURDIR)/debian
 
+
 %:
-	dh $@ --parallel
+	dh $@
+
+override_dh_auto_build:
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+	dh_auto_build -- SIMD=1
+else
+	dh_auto_build
+endif
 
 override_dh_install:
 	dh_install
@@ -25,5 +38,5 @@
 	cp $(debfolder)/man_src/*.? $(mandir)
 	dh_installman --
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression gz --destdir=..
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
