=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/kmc_$1.tar.gz/" \
	https://github.com/marekkokot/KMC/releases \
	.*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
