## kmc 3.2.1%2Bdfsg

=== debian/changelog ===
kmc (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.
  * Drop transition for old debug package migration.
  * d/copyright: update Files-Excluded pattern list
  * Refresh all patches following reorganisation of upstream source code.
  * Delete newish_gcc_build_fix.patch: applied upstream.
  * d/t/build-lib: adjust autopkgtest to limitations imposed by upstream:
    no less than 2GiB of memory per command and no more than 128 threads.
  * d/control,d/libkmc-dev: don't depend on dh-exec thanks to compat 13.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Jan 2022 15:24:16 +0100

kmc (3.1.1+dfsg-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * debian/control: mark libkmc-dev as Multi-Arch: same

  [ Étienne Mollier ]
  * d/control: update my uploader address
  * d/watch: fix broken link to github
  * add support-mixed-march.patch (Closes: #983930)
  * Standards-Version: 4.6.0 (routine-update)
  * d/usage_to_man: adjust directory creation; fixes a spurious "Can't exec "1""
    error message at build time

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 12:09:16 +0200
