=== debian/changelog ===
kmc (3.2.1+dfsg-2~0exp0simde) experimental; urgency=medium

  * Team upload.
  * Experimental rebuild with SIMDe 0.7.3~0git20230118123246.d1e75cd

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Jan 2023 18:51:41 +0100
