=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
            Jorge Soares <j.s.soares@gmail.com>,
            Sascha Steinbiss <satta@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
                zlib1g-dev,
                libbz2-dev,
                help2man,
                asciidoctor,
                d-shlibs,
-               libsimde-dev
-Standards-Version: 4.5.1
+               libsimde-dev (>= 0.7.3~0git20230118123246.d1e75cd),
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kmc
 Vcs-Git: https://salsa.debian.org/med-team/kmc.git
 Homepage: http://sun.aei.polsl.pl/kmc
@@ -52,6 +52,7 @@
 Package: libkmc-dev
 Built-Using: ${simde:Built-Using}
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends}
