=== debian/changelog ===
kmc (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.
  * use-shared-libs patch: refresh; forward not-needed.
  * makefile.patch: refresh; forwarding not-needed.
  * disable-python-bindings.patch: refresh.
  * simde patch: refresh.
  * support-mixed-march.patch: refresh.
  * gcc-13.patch: new: fix build failures with gcc-13. (Closes: #1037708)

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Jul 2023 12:35:26 +0200
