## kmc 3.2.3+dfsg

=== debian/changelog ===
kmc (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 18:08:05 +0100

kmc (3.2.2+dfsg-2) unstable; urgency=medium

  * d/clean: new: cleanup various build artifacts. (Closes: #1049134)
  * d/rules: remove unnecessary dh_auto_clean override.
    The further files cleansed have been listed in d/clean.
  * spelling.patch: further fixes against typos.

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Dec 2023 17:54:14 +0100
