## kmc 3.2.4%2Bdfsg

=== debian/changelog ===
kmc (3.2.4+dfsg-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:28:57 +0000

kmc (3.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Feb 2024 15:01:25 +0100
