=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                help2man,
                asciidoctor,
                d-shlibs,
-               libsimde-dev (>= 0.7.3~0git20230118123246.d1e75cd),
+               libsimde-dev,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/kmc
 Vcs-Git: https://salsa.debian.org/med-team/kmc.git
-Homepage: http://sun.aei.polsl.pl/kmc
+Homepage: https://sun.aei.polsl.pl/kmc
 Rules-Requires-Root: no
 
 Package: kmc
