=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,6 @@
 	dh_auto_build
 endif
 
-override_dh_install:
-	dh_install
-
-override_dh_auto_clean:
-	rm -rf $(debfolder)/man_src/*.html $(debfolder)/man_src/*.?
-	rm -rf $(mandir)
-	dh_auto_clean --
-
 override_dh_installman:
 	mkdir -p $(mandir)
 	$(debfolder)/usage_to_man
